Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625424 - repl-monitor.pl doesn't work in hub node
repl-monitor.pl doesn't work in hub node
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Retired
Component: Replication - General (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
:
Depends On:
Blocks: 434915 679982 389_1.2.9
  Show dependency treegraph
 
Reported: 2010-08-19 08:03 EDT by Marcos Aguinaldo Forquesato
Modified: 2015-12-07 11:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 679982 (view as bug list)
Environment:
Last Closed: 2015-12-07 11:33:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
git patch file (master) (3.97 KB, patch)
2011-02-23 18:26 EST, Noriko Hosoi
nkinder: review+
Details | Diff
sample repl-monitor config file (215 bytes, text/plain)
2011-02-23 18:39 EST, Noriko Hosoi
no flags Details

  None (edit)
Description Marcos Aguinaldo Forquesato 2010-08-19 08:03:48 EDT
Description of problem:
I have a cascading replication scenario, single-master, 2 hubs and customers. The replication works fine in a whole replication environment.
The repl-monitor.pl works fine in single-master, bust it doesn't work in hub node.

hub node message:
"The server is not a master or it has no replication agreement"


Version-Release number of selected component (if applicable):
# repl-monitor.pl -v
Directory Server Replication Monitor - Version 1.0


How reproducible:

Make a similar scenario.


Steps to Reproduce:
1. make single-master
2. make hub
3. make costumer
4. make agreements (single-master -> hub, hub-> costumer)
  
Actual results:
"The server is not a master or it has no replication agreement"

Expected results:
A Directory Server Replication Status including hubs and costumers

Additional info:
Comment 4 Noriko Hosoi 2011-02-23 18:26:41 EST
Created attachment 480602 [details]
git patch file (master)

Description: repl-monitor.pl has been designed to display the
entire replication topology. This patch allows to show the
subset of the topology starting from the specified hub.
Comment 5 Noriko Hosoi 2011-02-23 18:39:14 EST
Created attachment 480604 [details]
sample repl-monitor config file
Comment 6 Noriko Hosoi 2011-02-23 18:58:50 EST
Steps to verify.
0. Set up a replication system including at least one hub
   E.g., M0 <--> M1
          |
          v
         Hub --> C
   Edit the attached sample repl-monitor config file to adjust to the system.
1. Run some modify operations against the test system.
2. Run repl-monitor.pl against master
   $ repl-monitor.pl -f /path/to/repl/monitor/config/file -p master_port > master.html
3. Run repl-monitor.pl against hub
   $ repl-monitor.pl -f /path/to/repl/monitor/config/file -p hub_port > hub.html
4. Display master.html and hub.html on the browser and check they show the correct info.
Comment 7 Noriko Hosoi 2011-02-23 21:00:33 EST
Reviewed by Nathan (thank you!!!)

Pushed to master.

$ git merge 625424
Updating 7a7c527..4d96b79
Fast-forward
 ldap/admin/src/scripts/repl-monitor.pl.in |   75 +++++++++++++++++++++++++----
 1 files changed, 65 insertions(+), 10 deletions(-)
$ git push
Counting objects: 13, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 1.03 KiB, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   7a7c527..4d96b79  master -> master


Cherry-picked this commit on 389-ds-base-1.2.8 and pushed to the branch
commit 4d96b793803337cc53d254b38a65f95831b6c525

$ git cherry-pick 4d96b793803337cc53d254b38a65f95831b6c525
Finished one cherry-pick.
[ds128-local 4d56dcd] Bug 625424 - repl-monitor.pl doesn't work in hub node
 1 files changed, 65 insertions(+), 10 deletions(-)
$ git push origin ds128-local:389-ds-base-1.2.8
Counting objects: 13, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 1.04 KiB, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   1ff4d97..4d56dcd  ds128-local -> 389-ds-base-1.2.8
Comment 8 Sankar Ramalingam 2011-11-17 04:44:40 EST
repl-monitor.pl works fine with both Hub and Master. Hence marking the bug as Verified

Note You need to log in before you can comment on or make changes to this bug.